notifications_list
const url = 'https://example.com/api/notifications';const options = { method: 'GET', headers: { 'X-Workspace': '2489E9AD-2EE2-8E00-8EC9-32D5F69181C0', Authorization: 'Bearer <token>' }};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/notifications \ --header 'Authorization: Bearer <token>' \ --header 'X-Workspace: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0'List all the notification.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Workspace ID
Query Parameters
Section titled “Query Parameters”Filter notifications by archived status.
Which field to use when ordering the results.
A page number within the paginated result set.
Number of results to return per page.
A search term.
Filter notifications by unread status.
Responses
Section titled “Responses”object
Serializer for Notification model.
object
Return a dictionary containing information about the actor object.
Parameters
obj : object The object that contains an actor attribute with relevant information.
Returns
dict A dictionary containing the actor’s full name, email, class name, and ID.
object
Return a dictionary containing information about the action object.
Parameters
obj : object The object that contains information about an action object.
Returns
dict A dictionary with keys “obj” and “id”, representing the content type of the action object and its ID, respectively. Includes “extra_info” if applicable.
object
Return a dictionary containing information about a target object.
Parameters
obj : object The object that has a target attribute with relevant information.
Returns
dict A dictionary containing the target object’s content type name, type ID, and title. Includes “extra_info” if applicable.
object
Return the download URL stored in extra data, if any.
Return the number of objects a grouped notification stands for, if any.
Example
{ "count": 123, "next": "http://api.example.org/accounts/?p=4", "previous": "http://api.example.org/accounts/?p=2", "results": [ { "level": "success" } ]}object
object
Example
{ "code": "query_validation_error", "message": "Invalid query parameters. Check the `details` property for more details.", "details": [ { "parameter": "archived", "message": "archived_value is not a valid boolean.", "code": "invalid" } ]}
